This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
CONSULTA Problemilla con Marlin y placa v1.1.4 de la Ender 3 Pro
#1
Hola a todos, espero que alguien me pueda ayudar.
Tengo una Ender 3 Pro, con placa v1.1.4 (Melzi) y estoy intentando compilar Marlin 2.0 con VSCode y Platformio, pero no puedo, me arroja este error
Cita:Error: Unknown development platform 'PackageItem <path=C:\Users\Usuario\.platformio\platforms\atmelavr metadata=PackageMetaData <type=platform name=atmelavr version=3.4.0 spec={'owner': 'platformio', 'id': 8006, 'name': 'atmelavr', 'requirements': None, 'uri': None}'
que no se como solucionarlo.
¿Alguien sabe como solventarlo?
¿O Alguien podría generar y pasarme el archivo .hex?
Si es la primera opción, mejor que mejor, porque he comprado el sistema PITTA y después tendré que hacer modificaciones en el código Marlin o no podré usarlo.
Muchas gracias
  Responder
#2
Hola @chory, bienvenid@ al foro.
Ese error tiene pinta de ser debido a la instalación del VSCode y/o de PlatformIO: mi recomendación es que desinstales todo y vuelvas a intalarlo desde cero, utilizando las versiones más recientes de ambas aplicaciones.
  Responder
#3
(12-06-2022, 11:38 PM)Simemart escribió: Hola @chory, bienvenid@ al foro.
Ese error tiene pinta de ser debido a la instalación del VSCode y/o de PlatformIO: mi recomendación es que desinstales todo y vuelvas a intalarlo desde cero, utilizando las versiones más recientes de ambas aplicaciones.

Muchas gracias, lo haré, PlatformIO, ya lo desinstalé, pero VSC no, así que al lio

Bueno, pues parece que si era ese problema.
Ahora me sale otro, pero eso ya es porque no es compatible con la placa que debería tener.
Muchas gracias por la ayuda.
  Responder
#4
Marlin 2.0 se queda un poco grande para la memoria interna que lleva esa placa, seguramente el error se deba a eso, tienes que desactivar muchas opciones para que entre y aún así, dependiendo de la versión de Marlin, no cabrá
  Responder
#5
Noooooooo, puñetero novato de mierda que soyyyyyyyyy.
El problema es que PITTA, no admite la placa v1.4.
Tengo que pilla una de estas
-ender3pro-4.2.2.bin
-ender3pro-4.2.7.bin
-ender3v2-4.2.2.bin
-ender3v2-4.2.7.bin
Me cachis en la mar. Mi gozo en un pozo
  Responder
#6
Calma, que aunque como indica @Macuho la MCU de esa placa tiene poca memoria flash, es posible acomodar en ella Marlin 2.0 mediante algunos arreglos en la configuración; eso sí, siempre que no necesites muchas funcionalidades activadas: si dices cuales vas a necesitar, se puede concretar más la respuesta.
Desconozco que es PITTA, es la primera vez que veo ese nombre y no encuentro nada sobre ello.
  Responder


Posibles temas similares…
Tema Autor Respuestas Vistas Último mensaje
  CONSULTA Marlin X5SA Pro Nahuel 8 460 19-04-2022, 06:35 PM
Último mensaje: Nahuel
  pantalla ender y placa skr mini v1.2 alvata 0 136 05-04-2022, 10:07 PM
Último mensaje: alvata
  CONSULTA Ender 3 con placa V4.2.2 como actualizar Marlin juanfortus 1 591 17-01-2022, 10:36 AM
Último mensaje: TonyTren
  Ender 3 Pro con Marlin 2.0.9.1 ultimomohicani 3 2,224 29-11-2021, 03:08 PM
Último mensaje: tete1818
  Ender 3 pro problema al flashear MocaY 3 779 02-11-2021, 11:35 PM
Último mensaje: bertonic